软件代码 ·

Linux各发行版安装Tint主题解密php扩展依赖项之glibc组件

提示

若要简化安装流程,可以直接参考文章https://blog.ttionya.com/article-1559.html进行包管理升级

前言

为了保障Tint开发者以及Tint付费用户的权益,我对Tint主题的出售版使用了PHP扩展加密,因为有前一版Tinection主题的教训,我觉得这是非常有必要的。

glibc是GNU发布的libc库,即c运行库,Tint加密使用的PHP扩展依赖glibc 2.14版本,而很多系统如CentOS6.5自带的版本为2.12,所以需要更新你的linux中的glibc

CentOS安装glibc

首先请访问https://pan.baidu.com/s/1o8e0ZcY下载glibc 2.14的包。或者直接在SSH登录服务器后在指定目录执行命令:

wget http://ftp.gnu.org/gnu/glibc/glibc-2.14.tar.xz

来下载这个包。

下载完成后FTP上传至服务器文件夹,比如/home。

通过SSH登录服务器以执行各类命令。

如果文件以tar.gz结尾直接执行:tar glibc-2.14.tar.gz

如果文件以tar.xz结尾请执行:xz -d glibc-2.14.tar.xz  再执行tar -xvf glibc-2.14.tar 以完成解压。

cd glibc-2.14

mkdir build

cd build

../configure --prefix=/opt/glibc-2.14

make && make install

添加软链接

 

首先我们需要删除老的glibc版本的软链接:

rm -rf /lib64/libc.so.6

添加新版本的软链接:

LD_PRELOAD=/opt/glibc-2.14/lib/libc-2.14.so ln -s /opt/glibc-2.14/lib/libc-2.14.so /lib64/libc.so.6

修复可能带来的隐患

替换原有的glibc后,可能会导致系统命令无法识别问题,可以通过如下方式修复:

LD_PRELOAD=/opt/glibc-2.14/lib/libc-2.14.so ln -s /opt/glibc-2.14/lib/libc-2.14.so /lib64/libc.so.6

如果你想还原更新操作,也可以通过如下命令(例如还原为原来的2.12版本):

LD_PRELOAD=/lib64/libc-2.12.so ln -s /lib64/libc-2.12.so /lib64/libc.so.6

如果上述都不奏效,使用如下命令恢复
ldconfig

其他系统升级Glibc

实际上是大同小异的,可以参考上方CentOS的方式即可。

相关下载

点击下载

WordPress新主题Tint Pro版[更新至2.6.0]

299.00
4.9 满分5 基于 29 个用户评分
立即购买

参与评论